.agm-message {
  display: block;
  padding-top: 25px;
  max-width: 400px;
  max-height: 140px;
  overflow: hidden;
  background: whitesmoke;
}

.agm-delete-message {
  display: block;
  padding-top: 25px;
  max-width: 400px;
  max-height: 140px;
  overflow: hidden;
  background: whitesmoke;
}

.agm-delete-message .text {
  color: orangered;
  margin-left: 15px;
  font-size: 14px;
}

.agm-message .text {
  color: darkgreen;
  margin-left: 15px;
  font-size: 14px;
}
.agm-message .row,
.agm-delete-message .row {
  height: 50px;
  display: flex;
  padding-left: 30px;
  padding-right: 30px;
  align-items: center;
  font-size: 24px;
  color: forestgreen;
}

.agm-message .divider,
.agm-delete-message .divider {
  height: 1px;
  margin-top: 5px;
  background: rgba(0, 0, 0, 0.08);
}

.agm-message .right,
.agm-delete-message .right {
  margin-left: auto;
}

.agm-message .orange,
.agm-delete-message .orange {
  color: orangered;
}

.agm-message .accept-button,
.agm-delete-message .accept-button {
  border: none;
  outline: none;
  min-width: 60px;
  min-height: 30px;
  cursor: pointer;
  color: forestgreen;
  background: whitesmoke;
  font-weight: 600;
}

.agm-message .accept-button:hover,
.agm-delete-message .accept-button {
  color: #1a8cff;
}

.agm-message .close-button,
.agm-delete-message .close-button {
  border: none;
  outline: none;
  min-width: 60px;
  min-height: 30px;
  cursor: pointer;
  color: #808080;
  background: whitesmoke;
  font-weight: 600;
}

.agm-message .close-button:hover,
.agm-delete-message .close-button:hover {
  color: orangered;
}

.agm-progress-container {
  top: 60px;
  left: 40px;
  right: 40px;
  height: 7px;
  overflow: hidden;
  position: absolute;
  border-radius: 10px;
  background-color: #ddd;
  z-index: 100px;
}

.progress-bar-marquee {
  height: 100%;
  width: 30%; /* Độ dài của dải màu đang chạy */
  background: linear-gradient(90deg, #e68a00, #ffa31a);
  border-radius: 10px;
  position: absolute;

  /* Gọi hiệu ứng marquee */
  animation: marquee-run 1.5s infinite linear;
}

@keyframes marquee-run {
  0% {
    left: -30%; /* Bắt đầu từ ngoài cùng bên trái */
  }
  100% {
    left: 100%; /* Chạy lút sang bên phải */
  }
}
